Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] testing/libspectre: new aport

From: Andrew Hills <ahills_at_ednos.net>
Date: Sun, 7 Jun 2015 19:39:27 -0400

http://www.freedesktop.org/wiki/Software/libspectre
A small library for rendering Postscript documents
---
 testing/libspectre/APKBUILD | 51 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)
 create mode 100644 testing/libspectre/APKBUILD
diff --git a/testing/libspectre/APKBUILD b/testing/libspectre/APKBUILD
new file mode 100644
index 0000000..9b530ca
--- /dev/null
+++ b/testing/libspectre/APKBUILD
_at_@ -0,0 +1,51 @@
+# Contributor: Andrew Hills <ahills_at_ednos.net>
+# Maintainer: Andrew Hills <ahills_at_ednos.net>
+pkgname=libspectre
+pkgver=0.2.7
+pkgrel=0
+pkgdesc="A small library for rendering Postscript documents"
+url="http://www.freedesktop.org/wiki/Software/libspectre"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev ghostscript-dev doxygen"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://libspectre.freedesktop.org/releases/libspectre-$pkgver.tar.gz"
+
+_builddir="$srcdir"/libspectre-$pkgver
+prepare() {
+	update_config_sub
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+	make doc
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+doc() {
+	arch="noarch"
+	mkdir -m 0755 -p "$subpkgdir"/usr/share/doc/libspectre || return 1
+	install -m 0644 "$_builddir"/doc/html/* "$subpkgdir"/usr/share/doc/libspectre/
+}
+
+md5sums="8f759c0e6cd88d68fc8149130fcbc3d3  libspectre-0.2.7.tar.gz"
+sha256sums="e81b822a106beed14cf0fec70f1b890c690c2ffa150fa2eee41dc26518a6c3ec  libspectre-0.2.7.tar.gz"
+sha512sums="2e60905f7eeed9ac6ec3b5f8b47a7dad85178c8c35a63ba097ef6088dd334f7fde5797ecb05cf67532b759d07a65006427914d2cd6b09107ecc90620c9541794  libspectre-0.2.7.tar.gz"
-- 
2.4.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jun 07 2015 - 19:39:27 GMT